@use 'theme';

:host {
  flex: 1 1 auto;
  min-width: 0;
}

.navbar-main {
  @include theme.flex-row-center;

  flex-shrink: 1;
  flex-grow: 1;
  min-width: 0;
  height: 40px;
  overflow: hidden;

  .overflowed {
    display: none;
  }
}

.nav__item,
.navigation_link {
  height: 40px;
}

.more-button .nav__item,
.navigation_link {
  @include theme.flex-row-center;

  padding: 0 16px;
  white-space: nowrap;
}

.more-button:first-child,
.nav__item:first-child {
  padding: 0 32px;
}

.more-button:last-child,
.nav__item:last-child {
  padding: 0 32px;
}

.env-active-bg,
.navigation_link:hover {
  background-color: theme.$background-primary-color-2;
}

.popover-content {
  background-color: theme.$background-primary-color-1;
}
